Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.logger
Class PPLoggerRecord

    java.lang.Object
      gudusoft.gsqlparser.pp.logger.PPLoggerRecord

    public class PPLoggerRecord

extends java.lang.Object

Constructor Summary
`PPLoggerRecord(int logLevel, int stackLevel, java.lang.String msg, java.lang.Throwable e)`
`PPLoggerRecord(int logLevel, java.lang.String msg, java.lang.Throwable e)`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.Throwable` | `getE()`
`java.lang.String` | `getFileName()`
`int` | `getLineNum()`
`int` | `getLogLevel()`
`java.lang.String` | `getMethodName()`
`java.lang.String` | `getMsg()`
`int` | `getStackLevel()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PPLoggerRecord

    public PPLoggerRecord(int logLevel,
                          java.lang.String msg,
                          java.lang.Throwable e)

Parameters:
  `infoLevel` - the log level
  `msg` - the log message

### PPLoggerRecord

    public PPLoggerRecord(int logLevel,
                          int stackLevel,
                          java.lang.String msg,
                          java.lang.Throwable e)

Parameters:
  `logLevel` - the log level
  `stackLevel` - the stack level, the min level is zero
  `msg` - the log message

Method Detail

### getClassName

    public java.lang.String getClassName()

### getMethodName

    public java.lang.String getMethodName()

### getStackLevel

    public int getStackLevel()

### getMsg

    public java.lang.String getMsg()

### getLogLevel

    public int getLogLevel()

### getE

    public java.lang.Throwable getE()

### getLineNum

    public int getLineNum()

### getFileName

    public java.lang.String getFileName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD